Loading...
Searching...
No Matches
casacore::PowerLogarithmicPolynomial_PS< AutoDiff< T > > Class Template Reference

Partial specialization of PowerLogarithmicPolynomial for AutoDiff. More...

`#include <PowerLogarithmicPolynomial.h>`

## Public Member Functions

| PowerLogarithmicPolynomial_PS ()
| Constructs one dimensional Polynomials.
| PowerLogarithmicPolynomial_PS (uInt n)
| PowerLogarithmicPolynomial_PS (const PowerLogarithmicPolynomial_PS< AutoDiff< T > > &other)
| Copy constructor (deep copy).
template<class W>
| PowerLogarithmicPolynomial_PS (const PowerLogarithmicPolynomial_PS< W > &other)
PowerLogarithmicPolynomial_PS< AutoDiff< T > > & | operator= (const PowerLogarithmicPolynomial_PS< AutoDiff< T > > &other)
| Copy assignment (deep copy).
virtual | ~PowerLogarithmicPolynomial_PS ()
| Destructor.
virtual AutoDiff< T > | eval (typename Function< AutoDiff< T > >::FunctionArg x) const
| Evaluate the function and its derivatives at x wrt to the coefficients.
virtual Function< AutoDiff< T > > * | clone () const
| Return a copy of this object from the heap.
virtual Function< typename FunctionTraits< AutoDiff< T > >::DiffType > * | cloneAD () const
virtual Function< typename FunctionTraits< AutoDiff< T > >::BaseType > * | cloneNonAD () const
Public Member Functions inherited from casacore::PowerLogarithmicPolynomialParam< AutoDiff< T > >
| PowerLogarithmicPolynomialParam ()
| Constructs a function with two coefficients, both 1 (so y = x).
PowerLogarithmicPolynomialParam< T > & | operator= (const PowerLogarithmicPolynomialParam< T > &other)
virtual | ~PowerLogarithmicPolynomialParam ()
| Destructor.
Bool | operator== (const PowerLogarithmicPolynomialParam< T > &other) const
| Comparisons.
Bool | operator!= (const PowerLogarithmicPolynomialParam< T > &other) const
virtual const String & | name () const
| Give name of function.
T | coefficient (uInt which) const
| What is the which'th coefficient of the polynomial.
const Vector< T > & | coefficients () const
| Return all the coefficients as a vector.
void | setCoefficient (uInt which, const T value)
| Set the which'th coefficient to value.
void | setCoefficients (const Vector< T > &coefficients)
| Set all the coefficients at once, throw away all existing coefficients.
Public Member Functions inherited from casacore::Function1D< T, U >
| Function1D ()
| Constructors.
| Function1D (const uInt n)
| Function1D (const Vector< T > &in)
| Function1D (const FunctionParam< T > &other)
template<class W, class X>
| Function1D (const Function1D< W, X > &other)
virtual | ~Function1D ()
| Destructor.
virtual uInt | ndim () const
| Returns the number of dimensions of function.
Public Member Functions inherited from casacore::Function< T, T >
| Function ()
| Constructors.
virtual | ~Function ()
| Destructor.
uInt | nparameters () const
| Returns the number of parameters.
virtual T | eval (FunctionArg x) const=0
| Evaluate the function object.
T & | operator[] (const uInt n)
| Manipulate the nth parameter (0-based) with no index check.
virtual T | operator() () const
| Evaluate this function object at xor at x, y.
Bool & | mask (const uInt n)
| Manipulate the mask associated with the nth parameter (e.g.
const FunctionParam< T > & | parameters () const
| Return the parameter interface.
const Vector< ArgType > & | argp () const
| Get arg_p and parset_p.
Bool | parsetp () const
void | lockParam ()
| Compiler cannot always find the correct 'const' version of parameter access.
void | unlockParam ()
virtual void | setMode (const RecordInterface &mode)
| get/set the function mode.
virtual void | getMode (RecordInterface &mode) const
virtual Bool | hasMode () const
| return True if the implementing function supports a mode.
ostream & | print (ostream &os) const
| Print the function (i.e.
Public Member Functions inherited from casacore::Functional< FunctionTraits< T >::ArgType, T >
virtual | ~Functional ()
| Destructor.
virtual T | operator() (const FunctionTraits< T >::ArgType &x) const=0
| Map a Domain x into a Range y value.
Public Member Functions inherited from casacore::Functional< Vector< FunctionTraits< T >::ArgType >, T >
virtual | ~Functional ()
| Destructor.
virtual T | operator() (const Vector< FunctionTraits< T >::ArgType > &x) const=0
| Map a Domain x into a Range y value.

## Additional Inherited Members

Public Types inherited from casacore::Function1D< T, U >
typedef const T * | FunctionArg
Public Types inherited from casacore::Function< T, T >
typedef FunctionTraits< T >::ArgType | ArgType
typedef const ArgType * | FunctionArg
Protected Attributes inherited from casacore::Function< T, T >
FunctionParam< T > | param_p
| The parameters and masks.
Vector< ArgType > | arg_p
| Aid for non-contiguous argument storage.
Bool | parset_p
| Indicate parameter written.
Bool | locked_p
| Indicate that parameters are expected to be locked from changing.

## Detailed Description

template<class T>
class casacore::PowerLogarithmicPolynomial_PS< AutoDiff< T > >

Partial specialization of PowerLogarithmicPolynomial for AutoDiff.

### Synopsis

Warning: The name PowerLogarithmicPolynomial_PS is only for cxx2html documentation problems; Use PowerLogarithmicPolynomial in your code;

Definition at line 135 of file PowerLogarithmicPolynomial.h.

## Constructor & Destructor Documentation

## PowerLogarithmicPolynomial_PS() [1/4]

template<class T>

casacore::PowerLogarithmicPolynomial_PS< AutoDiff< T > >::PowerLogarithmicPolynomial_PS | ( |  | ) |

inline

Constructs one dimensional Polynomials.

Definition at line 141 of file PowerLogarithmicPolynomial.h.

References casacore::PowerLogarithmicPolynomialParam< AutoDiff< T > >::PowerLogarithmicPolynomialParam().

Referenced by operator=(), PowerLogarithmicPolynomial_PS(), and PowerLogarithmicPolynomial_PS().

## PowerLogarithmicPolynomial_PS() [2/4]

template<class T>

casacore::PowerLogarithmicPolynomial_PS< AutoDiff< T > >::PowerLogarithmicPolynomial_PS | ( | uInt | n | ) |

inline explicit

Definition at line 142 of file PowerLogarithmicPolynomial.h.

References casacore::PowerLogarithmicPolynomialParam< AutoDiff< T > >::PowerLogarithmicPolynomialParam().

## PowerLogarithmicPolynomial_PS() [3/4]

template<class T>

casacore::PowerLogarithmicPolynomial_PS< AutoDiff< T > >::PowerLogarithmicPolynomial_PS | ( | const PowerLogarithmicPolynomial_PS< AutoDiff< T > > & | other | ) |

inline

Copy constructor (deep copy).

Definition at line 148 of file PowerLogarithmicPolynomial.h.

References PowerLogarithmicPolynomial_PS(), and casacore::PowerLogarithmicPolynomialParam< AutoDiff< T > >::PowerLogarithmicPolynomialParam().

## PowerLogarithmicPolynomial_PS() [4/4]

template<class T>
template<class W>

casacore::PowerLogarithmicPolynomial_PS< AutoDiff< T > >::PowerLogarithmicPolynomial_PS | ( | const PowerLogarithmicPolynomial_PS< W > & | other | ) |

inline

Definition at line 151 of file PowerLogarithmicPolynomial.h.

References PowerLogarithmicPolynomial_PS(), and casacore::PowerLogarithmicPolynomialParam< AutoDiff< T > >::PowerLogarithmicPolynomialParam().

## ~PowerLogarithmicPolynomial_PS()

template<class T>

virtual casacore::PowerLogarithmicPolynomial_PS< AutoDiff< T > >::~PowerLogarithmicPolynomial_PS | ( |  | ) |

inline virtual

Destructor.

Definition at line 161 of file PowerLogarithmicPolynomial.h.

## Member Function Documentation

## clone()

template<class T>

virtual Function< AutoDiff< T > > * casacore::PowerLogarithmicPolynomial_PS< AutoDiff< T > >::clone | ( |  | ) | const

inline virtual

Return a copy of this object from the heap.

The caller is responsible for deleting this pointer.

Implements casacore::Function< T, T >.

Definition at line 174 of file PowerLogarithmicPolynomial.h.

## cloneAD()

template<class T>

virtual Function< typename FunctionTraits< AutoDiff< T > >::DiffType > * casacore::PowerLogarithmicPolynomial_PS< AutoDiff< T > >::cloneAD | ( |  | ) | const

inline virtual

Reimplemented from casacore::Function< T, T >.

Definition at line 177 of file PowerLogarithmicPolynomial.h.

## cloneNonAD()

template<class T>

virtual Function< typename FunctionTraits< AutoDiff< T > >::BaseType > * casacore::PowerLogarithmicPolynomial_PS< AutoDiff< T > >::cloneNonAD | ( |  | ) | const

inline virtual

Reimplemented from casacore::Function< T, T >.

Definition at line 181 of file PowerLogarithmicPolynomial.h.

## eval()

template<class T>

virtual AutoDiff< T > casacore::PowerLogarithmicPolynomial_PS< AutoDiff< T > >::eval | ( | typename Function< AutoDiff< T > >::FunctionArg | x | ) | const

virtual

Evaluate the function and its derivatives at x wrt to the coefficients.

## operator=()

template<class T>

PowerLogarithmicPolynomial_PS< AutoDiff< T > > & casacore::PowerLogarithmicPolynomial_PS< AutoDiff< T > >::operator= | ( | const PowerLogarithmicPolynomial_PS< AutoDiff< T > > & | other | ) |

inline

Copy assignment (deep copy).

Definition at line 157 of file PowerLogarithmicPolynomial.h.

References PowerLogarithmicPolynomial_PS(), and casacore::PowerLogarithmicPolynomialParam< AutoDiff< T > >::PowerLogarithmicPolynomialParam().

The documentation for this class was generated from the following file:

- scimath/Functionals/PowerLogarithmicPolynomial.h